Subject: Re: [PATCH v4 7/7] Holly bootwrapper

From: David Gibson <[email-masked]>
Date: Tue, 8 May 2007 11:07:16 +1000

On Mon, May 07, 2007 at 08:07:04PM -0500, Josh Boyer wrote:
> On Tue, May 08, 2007 at 10:16:04AM +1000, David Gibson wrote:
> > On Mon, May 07, 2007 at 04:32:10PM -0500, Josh Boyer wrote:
> > > @@ -129,6 +129,7 @@ image-$(CONFIG_PPC_CELLEB)		+= zImage.ps
> > >  image-$(CONFIG_PPC_CHRP)		+= zImage.chrp
> > >  image-$(CONFIG_PPC_EFIKA)		+= zImage.chrp
> > >  image-$(CONFIG_PPC_PMAC)		+= zImage.pmac
> > > +image-$(CONFIG_PPC_HOLLY)		+= zImage.holly-elf
> > 
> > Since ELF appears to be the standard image type, I'd suggest just
> > calling it zImage.holly.
> 
> Fine by me.  Though PIBS can take either elf or treeboot images.  Was just
> being explicit.
> 
> > 
> > >  image-$(CONFIG_DEFAULT_UIMAGE)		+= uImage
> > >  
> > >  ifneq ($(CONFIG_DEVICE_TREE),"")
> > > @@ -164,6 +165,12 @@ $(obj)/zImage.ps3: vmlinux
> > >  $(obj)/zImage.initrd.ps3: vmlinux
> > >  	@echo "  WARNING zImage.initrd.ps3 not supported (yet)"
> > >  
> > > +$(obj)/zImage.holly-elf: vmlinux $(wrapperbits)
> > > +	$(call if_changed,wrap,holly,$(obj)/dts/holly.dts,,)
> > > +
> > > +$(obj)/zImage.initrd.holly-elf: vmlinux $(wrapperbits) $(obj)/ramdisk.image.gz
> > > +	$(call if_changed,wrap,holly,$(obj)/dts/holly.dts,,$(obj)/ramdisk.image.gz)
> > 
> > Um.. won't this need corresponding changes to the wrapper script.  I
> > don't see them..
> 
> No...  -i to the wrapper script handles an initrd.  And quiet_cmd_wrap
> optionally takes a 5th argument for it.  What other changes are you thinking?

Sorry, my mistake.  I wasn't thinking anything about the initrd.
You're invoking wrapper with "holly" as the platform, but there's
nothing to make it understand that as a platform.  But as you pointed
out on IRC, since this platform doesn't need any post-processing of
the image, the defaults in wrapper are sufficient.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson